<html>
<!--    cibl&eacute; par:  menu-base.php

		cible:  						
 -->

<!-- param&egrave;tre &eacute;mis:        -Bsession_id         le num&eacute;ro de la session
						

	 param&egrave;tre re&ccedil;evable :  -Bsession_id         le num&eacute;ro de la session
	 						
							
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Calendrier</title> 
<link href="/scoutsmm.qc.ca/base/baseCSS.css" rel="stylesheet" type="text/css">
<body>



<DIV ID="dek"></DIV>

<SCRIPT TYPE="text/javascript">
<!--
//SCRIPT POUR LES POPUP POUR LES INFOS SUR LES CONTRAT

Xoffset=-60;    // modify these values to ...
Yoffset= 20;    // change the popup position.

var old,skn,iex=(document.all),yyy=-1000;
var ns4=document.layers
var ns6=document.getElementById&&!document.all
var ie4=document.all

if (ns4)
skn=document.dek
else if (ns6)
skn=document.getElementById("dek").style
else if (ie4)
skn=document.all.dek.style
if(ns4)document.captureEvents(Event.MOUSEMOVE);
else{
skn.visibility="visible"
skn.display="none"
}
document.onmousemove=get_mouse;

function popup(msg,bak){
var content="<TABLE  WIDTH=300 BORDER=1 BORDERCOLOR=black CELLPADDING=2 CELLSPACING=0 "+
"BGCOLOR="+bak+"><TD><h2>"+msg+"</h2></TD></TABLE>";
yyy=Yoffset;
 if(ns4){skn.document.write(content);skn.document.close();skn.visibility="visible"}
 if(ns6){document.getElementById("dek").innerHTML=content;skn.display=''}
 if(ie4){document.all("dek").innerHTML=content;skn.display=''}
}

function get_mouse(e){
var x=(ns4||ns6)?e.pageX:event.x+document.body.scrollLeft;
skn.left=x+Xoffset;
var y=(ns4||ns6)?e.pageY:event.y+document.body.scrollTop;
skn.top=y+yyy;
}

function kill(){
yyy=-1000;
if(ns4){skn.visibility="hidden";}
else if (ns6||ie4)
skn.display="none"
}

//-->
</SCRIPT>





<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");


//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

$chalet = $_GET["chalet"];
$aryDateMaintenant = $_GET["aryDateMaintenant"];
$annee = $_GET["annee"];
$mois = $_GET["mois"];
$jour = $_GET["jour"];
$code_contrat = $_GET["code_contrat"];
$code_client = $_GET["code_client"];
$date = $_GET["date"];
$x = $_GET["x"];
$y = $_GET["y"];


//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");


$aryDateMaintenant = explode("-",date("d-m-Y"));

if(empty($annee)) $annee = $aryDateMaintenant[2];
if(empty($mois)) $mois = $aryDateMaintenant[1];
if(empty($jour)) $jour = $aryDateMaintenant[0]; 

if (empty($date))
{
	$date = date("d-m-Y");
}
	
print("<center><table width=859px border=1 CELLSPACING=0 CELLPADDING=0>");
print("<tr><td valign=top width=580px><BR>");


//BOITE DE SELECTION DES CHALETS
	print("<form action=\"calendrier.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$_GET['Bsession_id']."\">");

	print("<h1>Consulter le chalet : ");
	
	//boite de selection	
	$sql = "SELECT base_ref1chalets.num_chalet, base_ref1chalets.nom
	   		  FROM base_ref1chalets
			 WHERE base_ref1chalets.actif = 'O';";
	
	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut cr&eacute;er la selection des chalets<br><br>".$sql);
	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);	
	
	print("<select name=\"chalet\">");
	print("<option selected value=0>------selection------</option>");
	while ($row = mysqli_fetch_row($result))
	{
		for ($i = 0; $i < (($___mysqli_tmp = mysqli_num_fields($result)) ? $___mysqli_tmp : false); $i++)
		{
			print ("<option value=\"");
			printf ("%s", htmlspecialchars ($row[$i++]));
			print ("\">");
			echo $row[$i];
			print ("</option>");
		}
	}
	print("</select>");

	//choix de la date
	print("Date : ");
	print("<input type=\"text\" value=\"$date\" name=\"date\" align=\"top\" maxlength=\"10\" size=\"11\"> (JJ-MM-AAAA)");
	print("<input type=\"image\" alt=\"btn_date\" src=\"bouton0.gif\" border=0 width=15 height=24></form></h1>");


//*********************************************************************************************************************************
//RECHERCHE DANS LA TABLE BASE_CHALETS*********************************************************************************************
//*********************************************************************************************************************************
//BOITE DE SELECTION DES CHALETS
	print("<form action=\"calendrier.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$_GET['Bsession_id']."\">");

	$sql = "SELECT base_ref1chalets.num_chalet, base_ref1chalets.nom
	   		  FROM base_ref1chalets
			 WHERE base_ref1chalets.num_chalet = '$chalet';";

	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut cr&eacute;er la selection des chalets<br><br>".$sql);
	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);	
	$row = mysqli_fetch_row($result);

	$chalet = $row[0];
	$aryDateMaintenant = explode("-",$date);
	$annee = $aryDateMaintenant[2];
	$mois = $aryDateMaintenant[1];
	$jour = $aryDateMaintenant[0];	
	
	
	//BOUTON DE NAVIGATION
	print("<BR><table border=0 CELLSPACING=0 CELLPADDING=0>");
	print("<tr><td valign=top>");

	//BOUTON GAUCHE************************************
	if(intval($mois) == 1)
		print("<a href=\"$PHP_SELF?annee=".($annee - 1)."&mois=12&jour=$jour&date=".$jour."-12-".($annee-1)."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_gauche.gif border=0></a>");
	else
		print("<a href=\"$PHP_SELF?annee=".$annee."&mois=".($mois - 1)."&jour=".$jour."&date=".$jour."-".($mois-1)."-".$annee."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_gauche.gif border=0></a>"); 
	print("</td><td width=50% valign=top>");
	
	print("</td><td valign=top>");
	
	//BOUTON DROITE************************************
	if(intval($mois) == 12)
		print("<a href=\"$PHP_SELF?annee=".($annee + 1)."&mois=1&jour=".$jour."&date=".$jour."-01-".($annee + 1)."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_droite.gif border=0></a>");
	else
		print("<a href=\"$PHP_SELF?annee=".$annee."&mois=".($mois + 1)."&jour=".$jour."&date=".$jour."-".($mois + 1)."-".$annee."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_droite.gif border=0></a>");
	print("</td></tr></table>");	

	



//LEGENDE
print("</td><td valign=top>");
print("<table width=100% border=1 CELLSPACING=0 CELLPADDING=0>");
print("<tr><td bgcolor=black><img src=icone/smm.gif></td><td><h2>Scouts des SMM</td>");
print("<td bgcolor=#FD8914 width=18px></td><td><h2>Contrat actif</td></tr>");
print("<tr><td bgcolor=black><img src=icone/ext.gif></td><td><h2>Scouts de l'ext&eacute;rieur</td>");
print("<td bgcolor=#000094 width=18px></td><td><h2>Contrat pay&eacute;</td></tr>");
print("<tr><td bgcolor=black><img src=icone/district.gif></td><td><h2>District des SMM</td>");
print("<td bgcolor=#FF7EFF width=18px></td><td><h2>Soumission</td></tr>");
print("<tr><td bgcolor=black><img src=icone/famille.gif></td><td><h2>Familles</td>");
print("<td bgcolor=#D6D6D6 width=18px></td><td><h2>Reservation</td></tr>");
print("<tr><td bgcolor=black><img src=icone/autres.gif></td><td><h2>Autres</td></tr>");
print("<tr><td bgcolor=black><img src=icone/cafe.gif></td><td><h2>Cafeteria</td></tr>");
print("</table>");



print("</td></tr>");
print("<tr><td colspan=2 bgcolor=#639134>");



	print("<h3><center>Calendrier pour ".$row[1]."</h3>");



print("</td></tr>");
print("<tr><td>");
print("</td></tr></table>");
	
	
	//AFFICHAGE	
	//CALENDRIER CENTRE
		calendrier($mois+0,$annee,$jour,$chalet);


	

	
	














// FONCTIONS

//TROUVE LE PREMIER JOUR DU MOIS
FUNCTION premier_jour_du_mois($argMois,$argAnnee)
{
 	$intPremierJour = date("w",mktime(0,0,0,$argMois,1,$argAnnee));
 	if($intPremierJour == 0) 
		$intPremierJour = 7; // si c'est un dimanche
	return $intPremierJour;
}






//TROUVE LE NOMBRE DE JOUR DANS LE MOIS
FUNCTION nb_jours_dans_mois($argMois,$argAnnee)
{
	$nb = 31; 										// par d&eacute;faut, le mois comporte 31 jours
	if($argMois < 8 and !($argMois % 2)) 
		$nb --;									  	// si c'est un mois avant aout et qu'il est pair, on enleve 1
	elseif($argMois > 8 and ($argMois % 2))
		$nb --;										// sinon, si c'est un mois superieur aaout, et qu'il est impair, on enleve 1
	if($argMois == 2)							// sinon, si c'est f&eacute;vrier, on enleve 2
 	{
  		$nb -= 2;
		if(($argAnnee%4) ==0) 
			$nb++;// et encore 1 si c'est une annee bisextile
 	}
	return $nb;
}




FUNCTION calendrier($mois,$annee,$jour,$num_chalet)
{

global $Bsession_id;

// INITIALISATIONS
$intPremierJour = premier_jour_du_mois($mois,$annee);	// premier jour du mois (lundi, mardi, mercredi etc..)
$intNbJoursDansMois = nb_jours_dans_mois($mois,$annee);	// nombre de jours dans le mois (28,...,31)
$x = 120;												// largeur des cellules du calendrier
$y = 50;												// hauteur des cellules du calendrier

// TABLEAU DES MOIS
$aryMois = array(0 => "D&Eacute;CEMBRE","JANVIER","F&Eacute;VRIER","MARS","AVRIL","MAI","JUIN","JUILLET","AO&Ucirc;T","SEPTEMBRE","OCTOBRE","NOVEMBRE","D&Eacute;CEMBRE","JANVIER");


// AFFICHAGE DE LA TABLE
print("<table border=1 CELLSPACING=0 CELLPADDING=0>\n");
print("<tr>");

	
//TITRE DU MOIS************************************	
print("<td colspan=7 align=center bgcolor=#639134><h3>");
print($aryMois[intval($mois)]." ".$annee);
print("</td><td>");


// AFFICHAGE LIGNE DES JOURS
print("<tr align=center>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Lundi</td>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Mardi</td>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Mercredi</td>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Jeudi</td>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Vendredi</td>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Samedi</td>");
print("<td bgcolor=#75B931 width=".$x."px height=".$y."px>Dimanche</td></tr>\n");
print("<tr>");


// AFFICHE PREMIER JOUR VIDE
for( $i = 1; $i < $intPremierJour ; $i ++)
	print("<td bgcolor=#7EFFBE>&nbsp;</td>");


//AFFICHAGE DES JOURS	
$j = $intPremierJour;
for( $i=1 ; $i <= $intNbJoursDansMois ; $i ++ )
{	
	//comble les 0 manquant dans la date
	if (($mois < 10) and ($i < 10))
		$date_actu = ($annee."-0".$mois."-0".$i);
	if (($mois >= 10) and ($i < 10))
		$date_actu = ($annee."-".$mois."-0".$i);
	if (($mois < 10) and ($i >= 10))
		$date_actu = ($annee."-0".$mois."-".$i);
	if (($mois >= 10) and ($i >= 10))
		$date_actu = ($annee."-".$mois."-".$i);						


	$sql = "SELECT base_calendrier.etat, base_calendrier.c1, base_calendrier.c2, base_calendrier.c3, base_calendrier.c4 
	          FROM base_calendrier
			  WHERE base_calendrier.num_chalet = '$num_chalet'
			    AND base_calendrier.date ='$date_actu' ;";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me douverture de date<br><br>".$sql);
	$row = mysqli_fetch_row($result);
	print("<td valign=top width=".$x."px height=".$y."px>");
	print("<h1>".$i."<br>");
	if (!empty($row[0]))
	{
		print("<table width=100% height=".$y."px border=0 cellspacing=1 cellpadding=0>");
		print("<tr>");
		//BOUCLE POUR CHAQUE CASE DE LA DATE
		for( $y=1 ; $y <= 4 ; $y ++ )
		{
			$r = (substr($row[$y],0,1));//verifie le premier caractere si cest un - cest une reservation

			if ($row[$y] == 0)
			{
				print("<td width=25% height=50px></td>");
			}else
			{
					//REQUETE POUR AVOIR LES INFOS DU CONTRAT
					$sql_contrat = "SELECT base_contrat.numero_contrat, base_contrat.etat, base_clients.type, base_clients.organisme
	        		  FROM base_contrat, base_clients
				     WHERE base_contrat.code_contrat = '$row[$y]'
	  				   AND base_clients.code_client = base_contrat.num_client;";
					$result_contrat = mysqli_query($GLOBALS["___mysqli_ston"], $sql_contrat) or die ("Ne peut lire les info du contrat".$sql_contrat);
					$row_contrat = mysqli_fetch_row($result_contrat);
					$numero_contrat = ($row_contrat[0]);
					$etat = ($row_contrat[1]);
					$organisme = ($row_contrat[3]);
				
					//REQUETE POUR AVOIR LES INFOS CAFETERIA
					$sql_cafe = "SELECT base_cafeteria.code_cafeteria
	        		  FROM base_cafeteria
				     WHERE base_cafeteria.code_contrat = '$row[$y]'
	  				   AND base_cafeteria.actif = 'O';";
					$result_cafe = mysqli_query($GLOBALS["___mysqli_ston"], $sql_cafe) or die ("Ne peut lire les info de la cafe".$sql_cafe);
					$row_cafe = mysqli_fetch_row($result_cafe);
					$cafeteria = 0;

						//CHOISI LA COULEUR DEPENDEMENT DE LETAT DU CONTRAT
						if ($etat == 'actif'){ $bgcolor='FD8914'; }
						if ($etat == 'pass&eacute;'){ $bgcolor='000094'; }
						if ($etat == 'soumission'){ $bgcolor='FF7EFF'; }
						if (!empty($row_cafe[0])){ $cafeteria = 1; }
						//CHOISI LE TYPE DE CLIENT
						if ($row_contrat[2] == 'SMM'){ $type_client='smm.gif'; }
						if ($row_contrat[2] == 'Ext'){ $type_client='ext.gif'; }
						if ($row_contrat[2] == 'Famille'){ $type_client='famille.gif'; }
						if ($row_contrat[2] == 'District'){ $type_client='district.gif'; }
						if ($row_contrat[2] == 'Autres'){ $type_client='autres.gif'; }					

	
					$description = "<B>Contrat num&eacute;ro :</B> ".$numero_contrat."<br>";
					$description .="<B>Client :</B> $organisme<br>";

				
				
				
				if ($r == '-')//SI C'EST UNE RESERVATION
				{
					print("<td valign=top bgcolor=#D6D6D6 width=25% height=50px><h2><center>");
					$code_reservation = (substr($row[$y],1,10));
					print("<a href=../reservation/reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$code_reservation."&val_chalet=1>".$code_reservation."</a>");
					print("</td>");
				}
				else
				{	
					
					//AFFICHAGE DES DONNEES DE LA CASE
					print("<td valign=top bgcolor=#".$bgcolor." width=25% height=50px><h2><center>");
					print("<a STYLE=color:white href=../contract/gestion-contract.php?Bsession_id=".$Bsession_id."&code_contrat=".$row[$y]); ?> 
					onmouseover="popup('<?php  print($description);?>','white')"; onmouseout="kill()">
					<?php  print($numero_contrat."<br><img src=icone/".$type_client." border=0>");
					if ($cafeteria == 1)
						print("<br><img src=icone/cafe.gif border=0>");
					
					print("</a></td>");
				}			
			
			}
		}
		
		print("</tr>");
		print("</table>");
		
	}else{
		print("<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td bgcolor=white height=50px></td></tr></table>");
	}	
		
	print("</td>");

	
	// SI DERNIER JOUR DE LA SEMAINE
	if($j == 7)
	{
		$nb_semaine++;  //nombre de semaine
		// CHANGE DE LIGNE
		if($i <= $intNbJoursDansMois)
		{
			print("</tr>\n");
			print("<tr>");
			$j = 1;
		}
	}
	else	// SINON AVANCE D'UN JOUR DANS LA SEMAINE
	{
		$j ++;
	}

}

// AFFICHE LES JOURS VIDE RESTANT
for( $i = $j ; $i <= 7 ; $i ++)
	print("<td bgcolor=#7EFFBE>&nbsp;</td>");

if ($nb_semaine == 4)	
{
	print("<tr><td colspan = 7 width=".$x."px height=".$y."px></td></tr>\n");	
}	
	
// fin de la table
print("</tr>\n");
print("</table>");
}





//BAS DE PAGE*****************************************************************
print("<br><hr><center>");
	//Afficher le bouton de retour au menu principal.
	print("<a href=../menu-base.php?Bsession_id=".$Bsession_id.">Menu principal</a>");
	



?>


</body>
</html>
